﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
        }
        table th
        {
            background-color: #F7F7F7;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript">
        $(function () {
            GetCustomers();
            $("#btnSearch").click(function () {
                GetCustomers();
            });
        });
        function GetCustomers() {
            var table = $("#tblCustomers");
            var customerId = $.trim($("#txtCustomerId").val());
            $.getJSON('<%=ResolveUrl("~/HandlerVB.ashx")%>' + '?customerId=' + customerId + '&callback=?', function (result) {
                table.find("tr:not(:first)").remove();
                $.each(result, function (i, customer) {
                    var row = table[0].insertRow(-1);
                    $(row).append("<td />");
                    $(row).find("td").eq(0).html(customer.CustomerId);
                    $(row).append("<td />");
                    $(row).find("td").eq(1).html(customer.Name);
                    $(row).append("<td />");
                    $(row).find("td").eq(2).html(customer.Country);
                });
            });
        }
    </script>
    CustomerId:
    <input type="text" id="txtCustomerId" />
    <input type="button" id="btnSearch" value="Search" />
    <hr />
    <table id="tblCustomers" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <th style="width: 90px">
                Customer Id
            </th>
            <th style="width: 120px">
                Name
            </th>
            <th style="width: 90px">
                Country
            </th>
        </tr>
    </table>
    </form>
</body>
</html>
